3

Using polkadot-v0.9.19 branch I've created benchmarks for a pallet, added it into runtime, compiled. On run of any of created benchmarks getting this error:

Error: Service(Client(RuntimeApiError(Application(VersionInvalid("Instantiation: Export ext_crypto_verify_ecdsa_version_1 not found")))))

Cannot create a runtime error=Instantiation("Instantiation: Export ext_crypto_verify_ecdsa_version_1 not found")

Need some hint where it may come from.

Edit: When run with sudo - getting this error:

sudo ./target/debug/polkadex-node benchmark pallet --pallet pallet-ocex-lmp --extrinsic "*"

2022-08-08 17:29:24 [0] 💸 generated 1 npos voters, 1 from validators and 0 nominators

Error: Service(Client(VersionInvalid("Instantiation: Module wbindgen_placeholder not found"))) 2022-08-08 17:29:25 Cannot create a runtime error=Instantiation("Instantiation: Module wbindgen_placeholder not found")

6

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.